<?php

declare(strict_types=1);

namespace KupShop\OrderingBundle\Event;

use KupShop\OrderingBundle\Cart;
use KupShop\OrderingBundle\Entity\Purchase\PurchaseState;

class PurchaseStateCreatingStartEvent
{
    public function __construct(
        public Cart $cart,
        private PurchaseState $purchaseState,
    ) {
    }

    public function getPurchaseState(): PurchaseState
    {
        return $this->purchaseState;
    }

    public function setPurchaseState(PurchaseState $purchaseState): self
    {
        $this->purchaseState = $purchaseState;

        return $this;
    }
}
